clc
clear all
close all
%% %%%%%%%%%%%%%%%%%%%%%%
%       ANALYSE AV      %
%    FORSKSRESULTATER  %
% %%%%%%%%%%%%%%%%%%%%%%%

%% %%%%%%%%%%%%%%%%%%%%%%
% % Inndata og kjring %%
% %%%%%%%%%%%%%%%%%%%%%%%

% Alle parametre bortsett fra metoden i NS3473 og MC2010 angis her

% Velg skjrarmering: med skjrarmering=1, uten skjrarmering=0
armering = 1;
% Velg hvilken standard som skal brukes EC2=1, NS3473=2, CSA A23.3=3,
% MC2010=4, ingen standard=0
standard = 4;
% Velg parameter det skal sorteres etter ingen_sortering=0, d=1, f_1c=2, 
%rhol=3, a/d=4, rhov*fy=5, fy=6, d_g=7. Sorteringen er satt opp i matrise
%for  tillate  sortere med hensyn p flere parametere samtidig. Nullene
%m vre der for  kunne velge  ikke sortere.
sort = [0;
%    1;
    2;
%    3;
%    4;
    5;
    6;
%    7; 
    0];
% Velg grenser for sortering
d_lav = 100;
d_hoy = 250;
fc_lav = 20;
fc_hoy = 80;
rhol_lav = 4;
rhol_hoy = 6;
ad_lav = 3;
ad_hoy = 10;
rhovfy_lav = 0;
rhovfy_hoy = 4;
fy_lav = 400;
fy_hoy = 600;
dg_lav = 16;
dg_hoy = 40;
% Velg om det skal lages statistikk, nei=0, ja=1;
stat = 1;
% Plotte grunndata? ja=1, nei=0, plotte statistikk? ja=1, nei=0
% For bedre visning av plott kan "sd" settes til 50 i plotdata.m, sd = 35
% gir pene plott for utskrift
grunndata = 0;
statplot = 1;


%% %%%%%%%%%%%%%%%
% % Bearbeiding %%
% %%%%%%%%%%%%%%%%

% Henter inn database %%
%uarm% b d f1c rho_l a/d V_test _agg tau_u f_ck V_standard gamma_mod
%marm% b d f1c rho_l a/d V_test rhov fy tau_u f_ck rhov_fy V_standard gamma_mod
    if armering == 0
        db_tot = load('dbuarm.txt');
    elseif armering ==1
        db_tot = load('dbmarm.txt');   
    end
[m_tot n_tot] = size(db_tot);
% Regner om V_test til N
    for j=1:1:m_tot
        db_tot(j,6) = 1000*db_tot(j,6);
    end
% Regner om til dimensjonsls skjrspenning tau_u = V/(b d f1c)
    db_tot = skjarspenning(db_tot,m_tot);
% Beregner sylinderfastheter
    db_tot = sylinderfasthet(db_tot,m_tot);
    [m_tot n_tot] = size(db_tot);
% Beregner fordelt armeringsspenning, rhov*fy
    if armering == 1
        a = zeros(m_tot,1);
        db_tot = [db_tot a];
        n = n_tot + 1;
        for j=1:1:m_tot
            db_tot(j,n) = db_tot(j,7)*db_tot(j,8)/100;
        end
    end
    [m_tot n_tot] = size(db_tot);
% Sorterer databasen
for j=1:1:length(sort)
    if sort(j) ==1;
        [db_tot] = sorter_d(db_tot,m_tot,d_lav,d_hoy);
    elseif sort(j) == 2;
        [db_tot] = sorter_fc(db_tot,m_tot,fc_lav,fc_hoy,armering);
    elseif sort(j) == 3;
        [db_tot] = sorter_rhol(db_tot,m_tot,rhol_lav,rhol_hoy);
    elseif sort(j) == 4;
        [db_tot] = sorter_ad(db_tot,m_tot,ad_lav,ad_hoy);
    elseif sort(j) == 5;
        if armering == 1
            [db_tot] = sorter_rhovfy(db_tot,m_tot,rhovfy_lav,rhovfy_hoy);
        end
    elseif sort(j) == 6;
        if armering == 1
            [db_tot] = sorter_fy(db_tot,m_tot,fy_lav,fy_hoy);
        end
    elseif sort(j) == 7;
        if armering == 0
            [db_tot] = sorter_dg(db_tot,m_tot,dg_lav,dg_hoy);
        end
    end
    [m_tot n_tot] = size(db_tot);
end
% Setter inn dimensjonerende verdi fra standard
    if standard == 1;
        db_tot = v_ek2(db_tot,m_tot,n_tot,armering);
    elseif standard ==2;
        db_tot = v_ns(db_tot,m_tot,n_tot,armering);
    elseif standard == 3;
        db_tot = v_csa(db_tot,m_tot,n_tot,armering);
    elseif standard == 4;
        db_tot = v_mc2010(db_tot,m_tot,n_tot,armering);
    end
    [m_tot n_tot] = size(db_tot);
% Lager statistikk
    if stat==1 && standard==5
        break
    elseif stat==1;
        [gamma_modm,gamma_mod5,gamma_mod95,gamma_modmin,gamma_modmax,s,cv,E_tau,s_tau,cv_tau] = statistikk(db_tot,m_tot,n_tot,armering);
    end
% Plotter
    minimum = 0;
    plotdata(db_tot,stat,grunndata,statplot,armering,minimum);
% Ta vekk kommentarene for  skrive ut db_tot til en tekstfil
%    A = db_tot;
%    save('7.txt','A','-ASCII');