clc
clear all
close all
%% %%%%%%%%%%%%%%%%%%%%%%
%     VIRKNINGEN AV     %
%    MINIMUMSARMERING   %
% %%%%%%%%%%%%%%%%%%%%%%%

%% %%%%%%%%%%%%%%%%%%%%%%
% % Inndata og kjring %%
% %%%%%%%%%%%%%%%%%%%%%%%

% Velg hvilken standard som skal brukes EC2=1, NS3473=2, CSA A23.3=3,
% MC2010=4, ingen standard=0
standard = 1;
% Velg parameter det skal sorteres etter ingen_sortering=0, d=1, f_1c=2, 
%rhol=3, a/d=4, d_g=7
sort = [0;  % nullene m vre der for  kunne velge  ikke sortere
%    1;
    2;
%    3;
%    4;
    0];
% Velg grenser for sortering
d_lav = 200;    %Sort: 0-200-300-600-800-1000-2000 (200-300-400-1200)
d_hoy = 300;
fc_lav = 20;    %Tot: 20-80, sort: 20-30-40-50-80 (20-40-60-80)
fc_hoy = 80;
rhol_lav = 3;   %Sort: 0-0.55-1.1-2-3-7 (0-2-3-6)
rhol_hoy = 6;
ad_lav = 2;     %Sort: 2.40-4-6-8 (-)
ad_hoy = 3.4;

%% %%%%%%%%%%%%%%%
% % Bearbeiding %%
% %%%%%%%%%%%%%%%%

% Henter inn database %%
%uarm% b d f1c rho_l a/d V_test _agg tau_u f_ck V_standard gamma_mod
%marm% b d f1c rho_l a/d V_test rhov fy tau_u f_ck rhov_fy V_standard gamma_mod
%res% b d fck rho_l a/d rhov fy V0 V1 V1/V0
    armering = 0;
    db_tot = load('dbuarm.txt');
    [m_tot n_tot] = size(db_tot);
% Regner om til N
    for j=1:1:m_tot
        db_tot(j,6) = 1000*db_tot(j,6);
    end
% Regner om til dimensjonsls skjrspenning tau_u = V/(b d f1c)
    db_tot = skjarspenning(db_tot,m_tot);
% Beregner sylinderfastheter
    db_tot = sylinderfasthet(db_tot,m_tot);
    [m_tot n_tot] = size(db_tot);
% Sorterer databasen
for j=1:1:length(sort)
    if sort(j) ==1;
        [db_tot] = sorter_d(db_tot,m_tot,d_lav,d_hoy);
    elseif sort(j) == 2;
        [db_tot] = sorter_fc(db_tot,m_tot,fc_lav,fc_hoy,armering);
    elseif sort(j) == 3;
        [db_tot] = sorter_rhol(db_tot,m_tot,rhol_lav,rhol_hoy);
    elseif sort(j) == 4;
        [db_tot] = sorter_ad(db_tot,m_tot,ad_lav,ad_hoy);
    end
    [m_tot n_tot] = size(db_tot);
end
% Beregner kapasitet uten skjrarmering
% Setter inn dimensjonerende verdi fra standard uten skjrarmering
    if standard == 1;
        db_tot = v_ek2(db_tot,m_tot,n_tot,armering);
    elseif standard ==2;
        db_tot = v_ns(db_tot,m_tot,n_tot,armering);
    elseif standard == 3;
        db_tot = v_csa(db_tot,m_tot,n_tot,armering);
    elseif standard == 4;
        db_tot = v_mc2010(db_tot,m_tot,n_tot,armering);
    end
    V0 = db_tot(:,10);
    Vu = db_tot(:,6);
% Beregner minimumsarmering
% Endringer i minimumsarmeringen gjres i funksjonen 'minarm'
    minimumsarmering = minarm(db_tot,m_tot,standard);
% Sorterer matrisen til formen som kreves med armering
    db_tot = sort_medarm(db_tot,minimumsarmering,m_tot);
% Setter inn dimensjonerende verdi fra standard med skjrarmering
    armering = 1;
    if standard == 1;
        db_tot = v_ek2(db_tot,m_tot,n_tot,armering);
    elseif standard ==2;
        db_tot = v_ns(db_tot,m_tot,n_tot,armering);
    elseif standard == 3;
        db_tot = v_csa(db_tot,m_tot,n_tot,armering);
    elseif standard == 4;
        db_tot = v_mc2010(db_tot,m_tot,n_tot,armering);
    end
    V1 = db_tot(:,12);
    V1V0 = zeros(m_tot,1);
    for j = 1:1:m_tot
        V1V0(j) = V1(j)/V0(j);
    end
% Sorterer matrisen p nsket form
    A = zeros(m_tot,10);
    A(:,1) = db_tot(:,1);
    A(:,2) = db_tot(:,2);
    A(:,3) = db_tot(:,10);
    A(:,4) = db_tot(:,4);
    A(:,5) = db_tot(:,5);
    A(:,6) = db_tot(:,7);
    A(:,7) = db_tot(:,8);
    A(:,8) = V0;
    A(:,9) = V1;
    A(:,10) = V1V0;
    db_tot = A;
% Plotter data
    minimum = 1; stat = 0; grunndata = 0; statplot = 0;
    plotdata(db_tot,stat,grunndata,statplot,armering,minimum);